/* Battle Pong - a pong game with some extra features */
/* Copyright (C) 2003 Dana Olson                      */
/* For more info, read the LICENSE file               */

#ifndef _BP_GAMEDEFS_H_
#define _BP_GAMEDEFS_H_

/* Enable quick and dirty keyboard support? */
#define ENABLE_KEYBOARD 1

/* if so, define the keys */
  #define KEY_BTN1 SDLK_RETURN
  #define KEY_BTN2 SDLK_TAB
  #define KEY_EXIT SDLK_ESCAPE
  #define KEY_P1_UP SDLK_UP
  #define KEY_P1_DOWN SDLK_DOWN
  #define KEY_P2_UP SDLK_SPACE
  #define KEY_P2_DOWN SDLK_LALT

/* Sound settings */
#define STEREO 2
#define MONO 1
#define SND_FREQUENCY 44100
#define SND_FORMAT 16
#define SND_CHUNKSIZE 4096
#define SND_NEXTCHAN -1
#define SND_MAXCHANS 4
#define SND_INFINITELOOP -1
#define SND_NOLOOP 0
#define SND_MUSIC_VOL 64

/* We can use PI in our forumulas with this. */
#define PI (3.141592654F)

/* these are to use for the players */
#define ONE 0
#define TWO 1

/* Paddle and ball speeds */
#define PSPEEDMAX 11
#define BSPEEDMAX 14

/* Initial ball pause */
#define INITIALDELAY 2

/* End game after this score */
#define MAXSCORE 5

/* Number of different pong balls */
#define DIFFBALLS 4

/* Screen size */
#define SCREEN_WIDE 320
#define SCREEN_HIGH 240

/* Screen depth */
#define SCREEN_DEPTH 32

/* Top and bottom screen limits */
#define SCR_TOP 12
#define SCR_BOT SCREEN_HIGH-6

/* This is the font to use */
#define FONT_NAME "img/hyperfont.ttf"

#endif
